Bug 496482 - No IP4 Address with Kernel > 2.6.29-0.137 for eth0
No IP4 Address with Kernel > 2.6.29-0.137 for eth0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 11:15 EDT by Karsten Roch
Modified: 2010-06-28 08:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Roch 2009-04-19 11:15:15 EDT
Description of problem:
NetworkManager fails to bring up eth0 with an ip4 address on kernels later than 2.6.29-0.137.rc5.git4.fc11.i586.

Networkcard is a 
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

With the kernel 2.6.29-0.137.rc5.git4.fc11.i586 eth0 gets a IP address (IP4) and connection over a Router to Internet works:

eth0      Link encap:Ethernet  HWaddr 00:19:66:82:88:C7  
          inet addr:192.168.0.2  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::219:66ff:fe82:88c7/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2076 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1996 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:1717785 (1.6 MiB)  TX bytes:405788 (396.2 KiB)
          Interrupt:43 Base address:0x2000 

Identical system, but with newer kernels (tested until 2.6.29.1-85.fc11.i586) , eth0 gets an IPV6 address, but no IP4:

eth0      Link encap:Ethernet  HWaddr 00:19:66:82:88:C7  
          inet6 addr: fe80::219:66ff:fe82:88c7/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:18 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:43 Base address:0x6000 

Stopping NetworkManager, starting network and manually bringing up eth0
doesn't work either. I put the both version of /var/log/messages at:

http://pastebin.com/m6ce1758  /var/log/messages with kernel 2.6.29-0.137.rc5.git4.fc11.i586 (working eth0)
http://pastebin.com/m58ff07c4 /var/log/messages with kernel 2.6.29.1-85.fc11.i586 (non-working eth0)

I see, that i have 2 lines with eth0 devices in the working version of /var/log/messages, but only one line with eth0 in the non-working version.
I tried to use a Fedora 11 Beta KDE Live-CD (kernel 2.6.29-0.258), but found similar problem there.



Version-Release number of selected component (if applicable):

NetworkManager-0.7.1-3.git20090414.fc11.i586
kernel 2.6.29.1-85.fc11.i586

How reproducible:

Always.


Steps to Reproduce:

Booting same system with 2 different kernels.
  
Actual results:
kernel 2.6.29-0.137.rc5.git4.fc11.i586 (working eth0)
kernel 2.6.29.1-85.fc11.i586 (non-working eth0)

Expected results:
For Kernel > 2.6.29-0.137.rc5.git4.fc11.i586 a working eth0 with automatic IP4 address assignment through NetworkManager

Additional info:

http://pastebin.com/m6ce1758  /var/log/messages with kernel 2.6.29-0.137.rc5.git4.fc11.i586 (working eth0)
http://pastebin.com/m58ff07c4 /var/log/messages with kernel 2.6.29.1-85.fc11.i586 (non-working eth0)
Comment 1 Chuck Ebbert 2009-04-21 15:29:23 EDT
Possibly caused by:

Apr 19 14:02:40 krakatoa kernel: type=1400 audit(1240142556.126:4): avc:  denied  { write } for  pid=2102 comm="ping" path="/1" dev=devpts ino=4 scontext=system_u:system_r:ping_t:s0 tcontext=system_u:object_r:devpts_t:s0 tclass=chr_file
Comment 2 Chuck Ebbert 2009-04-22 13:16:47 EDT
You could try booting with the kernel option "enforcing=0" to see if those selinux denials are causing the problem.
Comment 3 Karsten Roch 2009-04-24 14:43:37 EDT
The kernel option "enforcing=0" puts Selinux in permissive Mode, but the problem with eth0 and kernel > 2.6.29-0.137.rc5.git4.fc11.i586  stays the same. 

I used the same configuration, just adding a network card with 

05:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10) as eth1

which uses the modules 

8139too                20864  0 
8139cp                 17888  0 

and, voila, kernel 2.6.29.1-102.fc11.i586 works with eth1 and Networkmanager.

eth0 which uses the module 

r8169                  28520  0 

and kernel 2.6.29.1-102.fc11.i586 still doesn't work. 

My best guess: module rt8169.ko with kernel 2.6.29.1-102.fc11.i586 might be causing the problem...
Comment 4 Chuck Ebbert 2009-06-09 01:24:56 EDT
Is this happening in the Fedora 11 final release? Some r8169 bugs were fixed before release.
Comment 5 Bug Zapper 2009-06-09 10:07:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Karsten Roch 2009-06-21 12:09:05 EDT
(In reply to comment #4)
> Is this happening in the Fedora 11 final release? Some r8169 bugs were fixed
> before release.  

With Kernel 2.6.29.4-167.fc11 (Live CD, Fedora 11 32bit) the r8169 is not working.

With Kernel 2.6.30-6.fc12 (rawhide) the r8169 works again.


Cordialement
Karsten
Comment 7 Chuck Ebbert 2009-06-30 23:11:19 EDT
2.6.29.5-191 has updates for the r8169 driver...
Comment 8 Bug Zapper 2010-04-27 09:46:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:05:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.